<?php

ini_set('memory_limit', '100M');

include_once('../../includes/global.php');
//include_once('../../includes/dbc.php');
include_once('Export.php');    
include_once('ExportOutput.php');    

LoadCommandLineParameters();

if(!array_key_exists('AoWoWExportId', $Config)) die('You have to specify ExportId in your config file.');

$Export = new Export($System);
$Export->Id = $Config['AoWoWExportId'];

// Rebuild user selection
$UserSelection = array();
$DbResult = $System->Database->query('SELECT `ID`, `XP` FROM `User`');
while($DbRow = $DbResult->fetch_assoc())
{
  $UserSelection[$DbRow['ID']] = $DbRow['XP'];
}
arsort($UserSelection);

// Update export user selection sequence
$Sequence = 1;
foreach($UserSelection as $ID => $XP)
{
  $DbResult = $System->Database->query('SELECT `Id` FROM `ExportUser` WHERE `Export` = '.$Config['AoWoWExportId'].' AND `User` = '.$ID);
  if($DbResult->num_rows > 0)
    $Query = 'UPDATE `ExportUser` SET `Sequence` = '.$Sequence.' WHERE `Export` = '.$Config['AoWoWExportId'].' AND `User` = '.$ID;
    else $Query = 'INSERT INTO `ExportUser` (`Export`, `User`, `Sequence`) VALUES ('.$Config['AoWoWExportId'].', '.$ID.', '.$Sequence.')';
  $System->Database->query($Query);
  $Sequence++;
}

// Import exported data
$SQL = $Export->ExportToAoWoWSQL();
$SQL = explode("\n", $SQL);
$Database2 = new mysqli($Config['Database']['Host'], $Config['Database']['User'], $Config['Database']['Password']);
$Database2->query('SET NAMES '.$Config['Database']['Charset']);
$Database2->select_db($Config['Database']['DatabaseAoWoW']);
foreach($SQL as $Line)
{
  //echo($Line."\n");
  if(trim($Line) != '') $Database2->query($Line);
}

// Delete temporary cache files
$Files = scandir('../aowow/cache/mangos');
foreach($Files as $File)
{
  $End = substr($File, strlen($File) - 3);
  if($End == 'aww') unlink('../aowow/cache/mangos/'.$File);
}
$Files = scandir('../aowow/cache/templates/wowhead');
foreach($Files as $File) 
{
  $End = substr($File, strlen($File) - 3);
  if($End == 'php') unlink('../aowow/cache/templates/wowhead/'.$File);
}

// Update news date
$Database2->query('UPDATE `aowow_news` SET `text_loc0` = "Poslední aktualizace dat '.date('d. n. Y, H:i:s').'", `text_loc8` = "Poslední aktualizace dat '.date('d. n. Y, H:i:s').'" WHERE `aowow_news`.`id` =3');
