<?php

ini_set('memory_limit', '100M');

$_SERVER['REMOTE_ADDR'] = 'localhost';
$_SERVER['REQUEST_URI'] = '127.0.0.1';

include_once('../../includes/global.php');
//include_once('../../includes/dbc.php');
include_once('Export.php');    
include_once('Page.php');    

  $System = new System();
  $System->DoNotShowPage = true;
  	$System->Run();
$Import = new Import($System);
$PageExport = new PageExport($System);

$_SERVER['REQUEST_URI'] = __FILE__;

$Output = '';

if(defined('STDIN') == false) 
{
  $Output = T('Access denied');
  exit($Output);
} 

foreach($_SERVER['argv'] as $parameter)
{
  if(strpos($parameter, '=') !== false)
  {
    $index = substr($parameter, 0, strpos($parameter, '='));
    $parameter = substr($parameter, strpos($parameter, '=') + 1);
    //echo ($index.'  ----  '.$parameter);
    $_GET[$index] = $parameter;
  }
}

                     //37
if(array_key_exists('lua', $_GET)) {
  $Export = new Export($System);
  $Export->Id = $_GET['lua'];
  $Output .= $Export->Init();                   
  $Output .= $Export->ExportToLua();
  $Output = str_replace('<br/>','
',$Output);
  $Output = str_replace('<br />','
',$Output);
}
if(array_key_exists('dbc', $_GET)) {
  $Export = new Export($System);
  $Export->Id = $_GET['dbc'];
  $Output .= $Export->Init();                   
  $Output .= $Export->ExportToDbc();
  $Output = str_replace('<br/>','
',$Output);
  $Output = str_replace('<br />','
',$Output);
}
if(array_key_exists('addon', $_GET)) {
    $Addon = new ExportAddon($System);
    $Addon->Id = $_GET['addon'];
    $Output .= $Addon->Init();
    $Output .= $Output = $Addon->MakeAddon();
    $Output = str_replace('<br/>','
',$Output);
    $Output = str_replace('<br />','
',$Output);
}

if(array_key_exists('ExportId', $_GET)) {
  //generation readme
  $Output .= '<?xml version="1.0" encoding="utf-8"?\>'.
'<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">'.
'<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="cs">'.
'<head>'.
 '<STYLE type="text/css">'.
'.BaseTable {margin: 2px auto 2px auto;border-width: 1px;border-color: black;border-style: solid;border-collapse: collapse;}'.

'.BaseTable tr td{  border-width: 1px;  border-color: black;  border-style: solid;  padding: 2px;  text-align: center;}'.

'.BaseTable tr th{  border-width: 1px;  border-color: black;  border-style: solid;  padding: 2px;  background-color: #F0F0F0;  text-align: center;}'.
 '</STYLE>'.
  '<meta http-equiv="content-type" content="application/xhtml+xml; charset=utf-8" />'.
  '<title>Čeština pro WoW</title>'.
'</head><body>'. 
'<h1>České WoW - čestina pro klienta hry World of Warcraft</h1>'.
 
'<table cellspacing="10"><tr><td valign="top">'.
 
'<p>Texty přebírány z projektu <a href="http://wowpreklad.zdechov.net/">wowpreklad.zdechov.net</a><br>'.
'<a href="http://wowpreklad.zdechov.net/export/?Action=View&ExportId='.$_GET['ExportId'].'&Tab=0">Export '.$_GET['ExportId'].'</a></p><br>'.
 
 
'<p><strong>Vlastnosti</strong>'.
'<ul>'.
'<li>Požadovaná verze klienta: 3.3.3a</li>'.
'<li>Datum uvolnění: '.date('d.m.Y h:m',time()).'</li>'.
'<li>Sestaveno automaticky překladovým systémem <a href="http://wowpreklad.zdechov.net/">WoW překlad</a></li>'.
'<li>Tento soubor se generuje každý den. Pokud se zapojíte do překladu, zítra můžete stáhnout tento soubor znovu včetně svých překladů</li>'.
'<li>Sestavil: Maron</li>'.
'</ul>'.
'</p>'.
'<br>'.
 
'<h2>Nejčastější otázky</h2>'.
'<p><strong>Jak mám hru spustit?</strong><br>'.
'Hru musíte spustit přes soubor WoWLua.exe v kořenovém adresáři hry.</p>'.

'<p><strong>Mohu použít tuto češtinu na oficiálních serverech?</strong><br>'.
'Ne, protože se vystavujete riziku zablokování vašeho účtu z důvodu použití upravené hry. Navíc by čeština pro vás byla matoucí, jelikož ostatní hráči mluví anglicky. Pokud chcete přesto mít některé texty česky, sežeňte si Addon s češtinou CzWoW.</p>'.
 
'<p><strong>Mám nainstalovánu češtinu a nejde mi spustit Wow.exe.</strong><br>'.
'Pokud chcete opět spouštět hru přes původní Wow.exe v angličtině, musíte češtinu nejprve odinstalovat ze systému. Především se jedná o soubor Data/enGB/patch-enGB-5.MPQ či Data/enUS/patch-enUS-5.MPQ, který je nutno smazat.</p>'.
 
'<p><strong>Nedaří se mi provést aktualizaci klienta s nainstalovanou češtinou.</strong><br>'.
'Před aktualizací na novější verzi klienta musíte nejprve češtinu odinstalovat. Čeština totiž mění v rámci patch MPQ souboru některé soubory hry, což oficiální instalátory vyhodnotí jako poškození hry.</p>'.
 
'<p><strong>Můžu použít češtinu na jiném free serveru než Jménoserveru?</strong><br>'.
'Jistě, ovšem tato čeština je speciálně upravena pro tento server, kde je čeština nasazena i na straně serveru. Také se při přihlášení do hry se zobrazují aktuality tohoto serveru a na adresu serveru jsou upraveny další odkazy.<br>'.
'Správnou cestou je žádat zprovoznění češtiny na vašem free serveru.</p>'.
 
'</td><td>';

  $Output .= $PageExport->ExportViewStat(' WHERE `DBCFileName` !=\'\' OR `LuaFileName` !=\'\' OR `Group`.`Id` = 1 OR `Group`.`Id` = 2 OR `Group`.`Id` = 3 OR `Group`.`Id` = 16');

  $Output .= '</td></tr></table>'.
 
 
  '</body></html>';
  
}
//$_GET['ExportId']


  echo ($Output);
